Bug 767269 - flashbacks when switching workspace with cube animation
Summary: flashbacks when switching workspace with cube animation
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: compiz
Version: 16
Hardware: i686
OS: Unspecified
unspecified
low
Target Milestone: ---
Assignee: Orphan Owner
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-12-13 17:07 UTC by Stuart D Gathman
Modified: 2013-02-13 14:21 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-02-13 14:21:28 UTC
Type: ---


Attachments (Terms of Use)

Description Stuart D Gathman 2011-12-13 17:07:43 UTC
Description of problem:
flashing when switching workspaces

Version-Release number of selected component (if applicable):
compiz-0.9.5.92.1-0.1.gite676f1b12eb8db3a76978eed5bfc7c2cf9a0b6ce.fc16.i686

How reproducible:
Install compiz-gnome, select "Classic Gnome with Compiz" at login, configure cube, switch desktops.

Steps to Reproduce:
1.
2.
3.
  
Actual results:
Cube animation works smoothly, but when it stops, the previous desktop appears briefly, then is overwritten by new desktop.

Expected results:
New desktop zooms into view without flashbacks.

Additional info:
Gnome shell does not support Intel 865G and other older 3D hardware.  Compiz makes those workstations more productive.

Comment 1 Stuart D Gathman 2011-12-13 17:08:28 UTC
I forgot to mention, this all worked smoothly in F14.

Comment 2 Stuart D Gathman 2011-12-19 01:43:05 UTC
It looks like other animations "flash" also.  For instance, selecting a desktop with Ctrl-Alt-DownArrow, it flashes as each desktop takes center stage.

Comment 3 Stuart D Gathman 2012-07-17 18:14:08 UTC
Added an Nvidia card with nouveau driver.  Gnome-shell works smoothly, and compiz is smooth too - but still has the flashbacks.  :-(  So this isn't an Intel driver problem.  Either a regression on compiz, or an incompatibility with gnome3.

Comment 4 Fedora End Of Life 2013-01-16 13:31:40 UTC
This message is a reminder that Fedora 16 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 16. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '16'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 16's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 16 is end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" and open it against that version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 5 Fedora End Of Life 2013-02-13 14:21:31 UTC
Fedora 16 changed to end-of-life (EOL) status on 2013-02-12. Fedora 16 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.